17.11.2020 20:55
Occul
 
Начиная с версии 12с привилегии SELECT ANY DICTIONARY недостаточно, чтобы просматривать таблицы с чувствительной информацией, такие, как DEFAULT_PWD$, ENC$, LINK$, USER$, USER_HISTORY$, and XS$VERIFIERS. И это правильно.

То есть, при попытке выполнить запрос вида
SQL код:
SELECT u.NAME
FROM sys
.USERu
WHERE u
.TYPE# = 1
ORDER BY 1 
из под пользователя с правами SELECT ANY DICTIONARY, вы получите ошибку, указанную в теме.
Очень плохая, но, возможно, единственная идея в этом случае сделать
SQL код:
GRANT SELECT ON sys.USERTO PUBLIC; 

Форум на базе vBulletin®
Copyright © Jelsoft Enterprises Ltd.
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.